Bug 1582210 - Create RHEV host: Listing Images produces traceback when no images on CR
Summary: Create RHEV host: Listing Images produces traceback when no images on CR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.5.0
Assignee: orabin
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-24 14:20 UTC by Lukáš Hellebrandt
Modified: 2019-05-14 12:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:19 UTC


Attachments (Terms of Use)
foreman-tail.log (12.97 KB, text/plain)
2018-06-06 09:01 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:27 UTC
Foreman Issue Tracker 23831 None None None 2018-06-06 09:30:46 UTC

Description Lukáš Hellebrandt 2018-05-24 14:20:47 UTC
Description of problem:
In a Hosts -> Create Host dialogue, when RHEV selected as a provider, listing OS images causes traceback when there are no images added to the Compute Resource.

Version-Release number of selected component (if applicable):
Sat6.4 snap4

How reproducible:
Deterministic

Steps to Reproduce:
0. Have some CR and OS with image with that OS in CR
1. Hosts -> Create Host
2. Select Org etc. as necessary
3. Go to Operating System tab
4. Select arch, OS
5. # foreman-tail
6. Select Image-Based

Actual results:
Traceback in production.log

Expected results:
No traceback

Additional info:
I haven't noticed any other problems caused by this. Traceback attached.

Comment 3 Lukáš Hellebrandt 2018-06-06 09:01:40 UTC
Created attachment 1448187 [details]
foreman-tail.log

Comment 4 orabin 2018-06-06 09:30:44 UTC
Created redmine issue http://projects.theforeman.org/issues/23831 from this bug

Comment 6 pm-sat@redhat.com 2018-06-06 10:13:45 UTC
Upstream bug assigned to orabin@redhat.com

Comment 7 pm-sat@redhat.com 2018-06-06 10:13:47 UTC
Upstream bug assigned to orabin@redhat.com

Comment 11 pm-sat@redhat.com 2018-07-15 16:15:48 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23831 has been resolved.

Comment 14 Lukáš Hellebrandt 2019-01-02 12:21:47 UTC
Verified with Sat 6.5 snap 9.

Used reproducer from OP, but with step 0 worded as following: "Have some CR without any image, and have some OS" (because my own wording in OP doesn't make sense to me now)

Comment 17 errata-xmlrpc 2019-05-14 12:37:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.